/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package spinn3rreaderd;

import java.io.File;
import java.io.FileWriter;
import java.util.Scanner;

/**
 * @author Klemen
 * Transaction manager - it supports writing and reading transaction from disk,
 * Transaction is the last file name that was used for saving the processed Spinn3r data.
 */
public class TransactionMng {
    File m_file = null;

    public TransactionMng(String directoryPath){
        m_file = new File(directoryPath, "transaction.txt");
    }
    public String readTransaction() throws Exception{
        //Read the last finished transaction
        Scanner sc = new Scanner(m_file);
        String str = sc.nextLine();
        sc.close();
        //
        return str;
    }
    public void writeTransaction(String str) throws Exception{
        //Create temporary file
        File tmpFile = new File(m_file.getParent(), "____transaction____.txt");
        FileWriter fw = new FileWriter(tmpFile);
        fw.write(str);
        fw.close();
        //Rename transaction.txt file
        m_file.delete();
        //Rename temporary file to transaction.txt
        tmpFile.renameTo(m_file);
        //Swap the objects
        //m_file = tmpFile;
    }
}
